"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.registerAppBuilder = registerAppBuilder;
exports.registerLogger = registerLogger;
exports.registerSchema = registerSchema;
exports.registerRequestContextProviders = registerRequestContextProviders;
var _tsyringe = require("tsyringe");
var _ = require("..");
function registerAppBuilder() {
    let ctx = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : _tsyringe.container;
    ctx.register(_.BaseInjectorNames.AppBuilder, {
        useClass: _.AppBuilder
    });
}
function registerLogger() {
    let ctx = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : _tsyringe.container;
    ctx.register(_.BaseInjectorNames.Logger, {
        useValue: ctx.resolve(_.LoggerProvider).get()
    });
}
function registerSchema(schema) {
    let ctx = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : _tsyringe.container;
    ctx.register(_.BaseInjectorNames.Schema, {
        useValue: schema
    });
}
function registerRequestContextProviders(/* eslint-disable-next-line @typescript-eslint/no-explicit-any */ providers) {
    let ctx = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : _tsyringe.container;
    ctx.register(_.BaseInjectorNames.RequestContextProviders, {
        useValue: providers
    });
}
