/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */ import pino from 'pino';
import { inject, singleton } from 'tsyringe';
import { BaseInjectorNames } from '../injectors';
var _class;
var _dec = singleton();
export let LoggerProvider = _class = _dec((_class = class LoggerProvider {
    get() {
        return this._logger;
    }
    constructor(_config){
        this._config = _config;
        this._logger = pino({
            serializers: {
                err: pino.stdSerializers.err,
                error: pino.stdSerializers.err
            },
            prettyPrint: this._config.loggingPretty ? {
                levelFirst: true
            } : undefined
        });
    }
}) || _class) || _class;
