import { container } from 'tsyringe';
import { AppBuilder, BaseInjectorNames, LoggerProvider } from '..';
export function registerAppBuilder() {
    let ctx = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : container;
    ctx.register(BaseInjectorNames.AppBuilder, {
        useClass: AppBuilder
    });
}
export function registerLogger() {
    let ctx = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : container;
    ctx.register(BaseInjectorNames.Logger, {
        useValue: ctx.resolve(LoggerProvider).get()
    });
}
export function registerSchema(schema) {
    let ctx = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : container;
    ctx.register(BaseInjectorNames.Schema, {
        useValue: schema
    });
}
export function registerRequestContextProviders(/* eslint-disable-next-line @typescript-eslint/no-explicit-any */ providers) {
    let ctx = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : container;
    ctx.register(BaseInjectorNames.RequestContextProviders, {
        useValue: providers
    });
}
